# Generated from multimap-1.1.2.gem by gem2rpm -*- rpm-spec -*-
%global ruby_sitearch %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname multimap
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

%global rubyabi 1.8

Summary: Ruby multimap implementation
Name: rubygem-%{gemname}
Version: 1.1.2
Release: 3%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/josh/multimap

Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem

# Checkout the multimap test suite like so
# git clone http://github.com/josh/multimap.git
# cd multimap/
# git checkout v1.1.2
# tar czvf multimap-tests.tgz spec/
Source1: multimap-tests.tgz

Requires: ruby(abi) = %{rubyabi}
Requires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygems
BuildRequires: rubygem(rspec)
Provides: rubygem(%{gemname}) = %{version}

%description
Multimap includes a Ruby multimap implementation

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gemdir}
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install --local --install-dir .%{gemdir} \
            --force -V --rdoc %{SOURCE0}

# move the tests into place
tar xzvf %{SOURCE1} -C .%{geminstdir}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}

mkdir -p %{buildroot}%{ruby_sitearch}
mv %{buildroot}%{geminstdir}/ext/nested_multimap_ext.so %{buildroot}%{ruby_sitearch}
rm -rf %{buildroot}%{geminstdir}/ext

%clean

%check
pushd %{buildroot}%{geminstdir} 
spec spec/

%files
%defattr(-, root, root, -)
%{ruby_sitearch}/nested_multimap_ext.so
%dir %{geminstdir}
%{geminstdir}/lib
%doc %{geminstdir}/README.rdoc
%doc %{geminstdir}/LICENSE
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/spec


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 24 2011 Mo Morsi <mmorsi@redhat.com> - 1.1.2-2
- split out docs subpackage
- few small fixes for fedora compliance

* Sun Jan 23 2011 Mo Morsi <mmorsi@redhat.com> - 1.1.2-1
- Initial package
